<?php

class AdProfileAvatar extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# limite l'accès à l'écran d'administration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		# Déclaration d'un hook (existant ou nouveau)		
		$this->addHook('AdminProfilTop','AdminProfilTop');
		$this->addHook('GetAvatar','GetAvatar');

		
	}

	# Activation / désactivation
	public function OnActivate() {
		# code à exécuter à l’activation du plugin
		# Création du dossier avatars si inexistant
		if (!is_dir(PLX_ROOT.'data/avatars')){mkdir(PLX_ROOT.'data/avatars');}
	}
	public function OnDeactivate() {
		# code à exécuter à la désactivation du plugin
	}
	
	# HOOKS

	public function AdminProfilTop(){
		$this->GetAvatar();
		echo '<a href="'.PLX_CORE.'admin/parametres_plugin.php?p=AdProfileAvatar"/> Modifier mon avatar</a>';
	}


	public function GetAvatar($nom=''){
		// echo l'avatar s'il existe
		global $plxMotor,$plxAdmin;
		if (!empty($plxMotor)){$ausers=$plxMotor->aUsers;}else{$ausers=$plxAdmin->aUsers;}
		if (empty($nom)){$nom=$ausers[$_SESSION['user']]['name'];}
				
		echo '<p class="avatar">';
			$avatar=glob(PLX_ROOT.'data/avatars/'.$nom.'.*');
			if (empty($avatar)){$avatar=PLX_PLUGINS.'AdProfileAvatar/default.png';}
			else{$avatar=$avatar[0];}
			echo '<img src="'.$avatar.'"/>';
		echo '</p>';

	}


	
/*
-afficher un formulaire d'upload
-si post, 
	- ajouter la gestion du post de fichier vers plugin/avatars
	- effacer tout autre avatar posté avant (gif/png/jpeg)
-getavatar cherchera un fichier 

*/
}





/* Pense-bête:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_CONFIG_PATH
 * PLX_PLUGINS
 *
 * Appel de HOOK
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */
?>
